Page MenuHomePhabricator

[RISC-V][HWASAN] Adjust lit test support for RISC-V HWASAN feature
ClosedPublic

Authored by smd on Aug 6 2022, 2:47 PM.

Details

Summary

[10/11] patch series to port HWASAN for riscv64

Depends On D131575

Diff Detail

Event Timeline

smd created this revision.Aug 6 2022, 2:47 PM
Herald added a project: Restricted Project. · View Herald TranscriptAug 6 2022, 2:47 PM
smd added a project: Restricted Project.Aug 6 2022, 3:06 PM
smd published this revision for review.Aug 7 2022, 3:29 AM
Herald added subscribers: Restricted Project, pcwang-thead. · View Herald TranscriptAug 7 2022, 3:29 AM
craig.topper added inline comments.
compiler-rt/test/hwasan/TestCases/stack-uas.c
18

Why is there an x86 change in here?

smd updated this revision to Diff 450707.Aug 7 2022, 11:10 PM

Addressing comments

compiler-rt/test/hwasan/TestCases/stack-uas.c
18

Fixed, thanks

smd updated this revision to Diff 451279.Aug 9 2022, 2:56 PM

With proper fixes to Linux kernel now more tests should work

vitalybuka accepted this revision.Aug 9 2022, 6:11 PM

if

compiler-rt/test/hwasan/TestCases/use-after-scope-temp.cpp
6

I am not sure if I understand pointer-tagging and stable-runtime in context of hwasan.
I hope to setup aarch64 buildbot for HWASAN soon, maybe I'll cleanup those features
We don't want to list of archs in half of the tests explicitly

This revision is now accepted and ready to land.Aug 9 2022, 6:11 PM
smd edited the summary of this revision. (Show Details)Aug 10 2022, 8:06 AM
smd edited the summary of this revision. (Show Details)
smd updated this revision to Diff 452635.Aug 15 2022, 5:22 AM

Introduce some new tests

smd updated this revision to Diff 453091.Aug 16 2022, 12:04 PM

Moving tests to previous patches

vitalybuka accepted this revision.Aug 16 2022, 1:03 PM
smd edited the summary of this revision. (Show Details)Aug 30 2022, 11:20 PM
smd added a comment.Aug 30 2022, 11:31 PM

@vitalybuka
After all the adjustments and supporting globals I have this picture:

Failed Tests (3):
  HWAddressSanitizer-riscv64 :: TestCases/stack-oob.c
  HWAddressSanitizer-riscv64 :: TestCases/try-catch.cpp
  HWAddressSanitizer-riscv64 :: TestCases/exported-tagged-global.c

The first two fail since risc-v doesn't have oldrt support and the last one fails due to aarch64 specific option(--aarch64-enable-global-isel-at-O=1).
Do you have any ideas how we should handle this? I.e. split those tests or just mark them as XFAIL and call it a day?

Thanks

smd updated this revision to Diff 472550.Nov 2 2022, 2:40 AM

Updating tests

smd edited the summary of this revision. (Show Details)Nov 2 2022, 2:43 AM
This revision was landed with ongoing or failed builds.Dec 14 2022, 5:15 AM
This revision was automatically updated to reflect the committed changes.